project:
  type: book
 
execute: 
  echo: false
  warning: false
  message: false
  
quarto:
  prefer-html: true  # Add this line to enable HTML output in non-HTML formats


book:
  chapters:
    - index.qmd
#    - 02-methods.qmd
#    - 03-results.qmd
#    - 04-discussion.qmd
#    - 05-conclusion.qmd
    - 99-references.qmd

bibliography: references.bib

format:
  html:
    theme: cosmo
  pdf:
    documentclass: scrreprt 
    # class option “oneside” makes the margins of the even and odd pages 
    # the same. 
    # class option “open=any” allows chapters and parts to start
    # on even or odd pages; the default is to only start chapters and parts
    # on odd pages. 
    # class option "listof=totoc" adds the list of tables and list of figures to TOC
    # https://tex.stackexchange.com/questions/48509/insert-list-of-figures-in-the-table-of-contents
    classoption: ["oneside", "open=any", "listof=totoc"]
    margin-left: "1.5in"
    margin-right: "1in"
    margin-top: "1in"
    margin-bottom: "1.5in" # this is larger than technically needed, but it gets the page number in the footer >1in from the bottom (a requriement per UMN)
    linestretch: 1.5
    #mainfont: Times New Roman
    template-partials: 
      - "tex/before-body.tex" # overrides default template used by quarto
      - "tex/_titlepage.tex" # custom title page
    include-in-header: 
      - file: "tex/in-header.tex"
      - text: | 
          \usepackage{setspace}
          \doublespacing
# https://stackoverflow.com/questions/73628198/change-title-headings-font-in-quarto-pdf-output
# disposition element means headers, section etc. 
      - text: \addtokomafont{disposition}{\rmfamily}
    include-before-body: 
      - file: "tex/copyright.tex"
      - file: "tex/acknowledgements.tex"
      - file: "tex/dedication.tex"
      - file: "tex/abstract.tex"
    toc: false
    toc-depth: 2
    lof: true
    lot: true
  docx:
    toc: false
    number-sections: false
    reference-doc: custom-reference.docx
    



